Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:           nodejs-mkdirp
Version:        0.5.1
Release:        alt1_9
Summary:        Recursive directory creation module for Node.js

License:        MIT
URL:            https://github.com/substack/node-mkdirp
Source0:        https://registry.npmjs.org/mkdirp/-/mkdirp-%{version}.tgz
Patch0:         nodejs-mkdirp-mockfs4.patch
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(mock-fs) >= 4.0.0
%endif
Source44: import.info


%description
Creates directories recursively, like `mkdir -p`.


%prep
%setup -q -n package
%patch0 -p1
%nodejs_fixdep minimist "^1.2.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mkdirp
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/mkdirp
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif


%files
%doc readme.markdown examples
%doc --no-dereference LICENSE
%{nodejs_sitelib}/mkdirp


%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_9
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt0.1.njs.bootstrap
- bootstrap

